Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue
Department:  Affected Products: ADTF Streaming Library 2.9.0

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: StreamingLib::Common

Resolution: Workaround Available FAQ Links:  

Description

Supportanfrage

Ein Kunde möchte mit der Streaming Library (2.9) extended data zu einem DAT file hinzufügen, jedoch ohne das file neu zu

erzeugen, da es sich wohl um sehr große files handelt.

In ADTF selbst scheint das ja zu gehen, soll jedoch automatisierbar sein, weswegen sie die Streaming Lib verwenden wollen.

IADTFFileWriter->Open(...) scheint ein neues file zu öffnen, gibt es eine Möglichkeit, das sozusagen in-place hinzuzufügen?

Wenn nicht, dann geht's halt nicht...

Grüße und Dank

Lösung

Das wird so nicht gehen, es gibt dafür nur die GUI Lösung.

Die Streaming Library beinhaltet "nur" Reader und Writer, kein File Changer.

Auch mit der ADTF File Library wird man da nicht weit kommen, da es dort gar keinen gesonderten Support für die EDS Extensions

gibt (heißt die werden wenn dann auch nur durchgereicht). Was man machen könnte:

1.) neue leere Datei mit streaming library erstellen und dort dann EDS Daten hinzufügen.

2.) Danach die Klasse cIndexedFileReader (oder auch die Streaming Library) aus ADTF verwenden um die "store_actual_config"

und "store_actual_config2" Extensions auszulesen und dann mit cIndexedFileChanger::ReplaceExtension in der Original Datei

austauschen.

Nicht schön, müsste aber klappen.

Related issues:

Is duplicate of Public Support - Support Request #103: Add EDS extension to D... Closed

History

#1 - 2018-11-29 10:08 - hidden

- Topic set to StreamingLib::Common

- Requester's Priority changed from Normal to Blocker

- Customer set to ELEKTROBIT

- Affected Products ADTF Streaming Library 2.9.0 added

#2 - 2018-11-29 10:08 - hidden

- Project changed from Public Support to 7

#3 - 2018-11-29 11:17 - hidden

- Status changed from New to In Progress

Hallo Florian,
ist das wirklich als BLOCKER zu verstehen ? Nun gut...

Das wird so nicht gehen, es gibt dafür nur die GUI Lösung.

Die Streaming Library beinhaltet "nur" Reader und Writer, kein File Changer.

@Martin: Können sie das Problem ggf. mit der File Library lösen ?

#5 - 2018-11-29 11:20 - hidden

- Is duplicate of Support Request #103: Add EDS extension to DAT-File by script added

#6 - 2018-11-29 14:15 - hidden

Hi,

das blocker-tag kommt aus unserem ticket, das müsst ihr nicht übernehmen, seh ich auch nicht so...

Wenns nicht geht, dann geht's halt nicht... falls euer Kollege da keinen Weg mit der File Library sieht kanns dann auch gerne zu...

Lg und Danke

Flo

#7 - 2018-12-03 12:27 - hidden

Nein leider, auch mit der ADTF File Library wird man da nicht weit kommen, da es dort gar keinen gesonderten Support für die EDS Extensions gibt

(heißt die werden wenn dann auch nur durchgereicht). Was man machen könnte:

1.) neue leere Datei mit streaming library erstellen und dort dann EDS Daten hinzufügen.

2.) Danach die Klasse cIndexedFileReader (oder auch die Streaming Library) aus ADTF verwenden um die "store_actual_config" und

"store_actual_config2" Extensions auszulesen und dann mit cIndexedFileChanger::ReplaceExtension in der Original Datei austauschen.

Nicht schön, müsste aber klappen.

Grüße,

Martin

#8 - 2018-12-03 13:43 - hidden

- Status changed from In Progress to Customer Feedback Required

#9 - 2018-12-06 08:40 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-1914 [URGENT][BLOCKING] Adding files into already created DATfiles to fix them to

EBPRODUCTSUPPORT-1914 Post-Adding files into already created DATfiles to fix them (EDS)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Workaround Available

- Requester's Priority changed from Blocker to Normal

Kein weiteres Feedback, Anforderung gibt es nicht.

Möglicher "Workaround" kommuniziert.

Ticket kann geschlossen werden.

#10 - 2018-12-06 08:41 - hidden

- Status changed from To Be Closed to Closed
